using RaftModLoader;
﻿using UnityEngine;
using HMLLibrary;
using HarmonyLib;

public class UnbreakableScarecrow : Mod
{
    public static UnbreakableScarecrow instance;
    Harmony harmony;

    public void Start()
    {
        instance = this;
        harmony = new Harmony("com.sora.UnbreakableScarecrow");
        harmony.PatchAll();

        Debug.Log($"[{GetModInfo().name}] Mod has been loaded!");
    }

    public void OnModUnload()
    {
        harmony.UnpatchAll(harmony.Id);
        Debug.Log($"[{GetModInfo().name}] Mod has been unloaded!");
    }

    [HarmonyPatch(typeof(Scarecrow), "DamageScarecrow")]
    class Patch_DamageScarecrow
    {
        static void Prefix(Scarecrow __instance)
        {
            __instance.invurnerable = true;
        }

        static void Postfix(Scarecrow __instance)
        {
            __instance.invurnerable = false;
        }
    }
}
